The MU forums have moved to WordPress.org

Premature end of script headers: PHP4 (3 posts)

  1. jshare
    Member
    Posted 15 years ago #

    I'm running WPMU 1.1.1 on PHP4.4.4-6 on the MediaTemple GridServer. Ever since my I first installed WPMU 1.0 about 5 months ago, the above 'Premature' error message would occasionally find its way into my error_log but I couldn't reproduce it. This before any plugins were installed, so I don't blame any of them although they may have aggravated things. Recently, the error has begun appearing in the logs alot more as my traffic has risen (or tries to).

    The error usually appears as 'Premature end of script headers: PHP4' but rarely there is also a referrer although there seems to be no pattern among the referrers.

    After googling this forum and others, I have tried a few suggestions:

    1. Ensuring that all my directories have execute permissions. Done.

    2. Ensuring that all my files have Unix-style endline characters. In Eclipse, I have now set this as the default and I checked that the setting cascaded through my source tree but the files aren't showing any differences via Subclipse so I'm thinking that this change had no effect.

    Any suggestions? Perhaps on how to debug this?

    Have any non-MediaTemple users been seeing this with WPMU?

  2. lunabyte
    Member
    Posted 15 years ago #

    Nope, sure haven't.

  3. drmike
    Member
    Posted 15 years ago #

    That reminds me. I've been wondering if we could get teh error_log expanded a bit to at least include the URL of where hte issue has been created. I've gone ahead and opened a ticket on teh issue.

About this Topic